//*****************************************************************************
// TITLE:         Project P1 for CS3451
// DESCRIPTION:   Quadratic Bezier curve
// AUTHOR:        Prof Jarek Rossignac
// DATE CREATED:  August 2009
// EDITS:
//*****************************************************************************
boolean showHelpText=true;       // toggled by keys to show/hide help text
boolean printIt=false;           // temporarily set when key '?' is pressed and used to print some debugging values
PImage me; // picture of my face

void setup() { size(500, 500); smooth();   strokeJoin(ROUND); strokeCap(ROUND);  // set up window and drawing modes
  setColors();
  PFont font = loadFont("ArialMT-24.vlw"); textFont(font, 12);      // load font
  declarePoints(); resetPoints(); loadPts(); // initialize
  me = loadImage("data/me.jpg"); 
  } 

void draw() { background(121);  strokeWeight(1);                        // sets background
  if (showHelpText) showHelp(); else myActions(); 
  printIt=false;
  };  // end of draw

 
